Bug 233464 - FC6 Install Fails: Boots to blank X server screen
FC6 Install Fails: Boots to blank X server screen
Status: CLOSED DUPLICATE of bug 409931
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-03-22 12:04 EDT by Adam Benjamin
Modified: 2008-04-24 09:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-24 09:59:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Some output to describe what's attached to this system (4.72 KB, application/x-gzip)
2007-03-22 12:04 EDT, Adam Benjamin
no flags Details
my working xorg.conf file (using the vendor nvidia driver) (4.93 KB, application/octet-stream)
2007-03-26 22:55 EDT, Adam Benjamin
no flags Details
the log file from my normal working config (using the vendor nvidia driver) (31.22 KB, text/plain)
2007-03-26 22:56 EDT, Adam Benjamin
no flags Details
a working xorg file allowing autodetection and configuration (2.52 KB, application/octet-stream)
2007-03-26 22:56 EDT, Adam Benjamin
no flags Details
working autoconfigured xorg.conf's log file (61.22 KB, text/plain)
2007-03-26 22:57 EDT, Adam Benjamin
no flags Details

  None (edit)
Description Adam Benjamin 2007-03-22 12:04:21 EDT
Description of problem:

System is currently running FC5 with no known issues.  I am attempting to
upgrade to FC6.  System boots off FC6 DVD, prompts for (and is able to verify)
media validity.  Continuing on, I see that the X server is started, but no other
activity.  Screen is blank, but with an "X" cursor (as if I'd just typed "X" fro
m a text console.)

Alt console 1 shows:
Running anaconda, the Fedora Core system installer - please wait....
Probing for video card:   nVidia Corporation NV37GL [Quadro FX 330/Quadro NVS280]
Attempting to start native X server
Waiting for X server to start...log located in /tmpramfs/X.log
1...2...3...4...5... X server started successfully.
Starting graphical installation...

So as I said - X session is starting just fine.  On Alt console 3, I don't see
any errors.  The text (not including time stamps) from part-way down the screen
is as follows:

INFO   : Display mode = g
INFO   : Method = cdrom://hdc:/mnt/source
WARNING: no floppy devices found but we'll try fd0 anyway
INFO   : started mini-wm
INFO   : Starting graphical installation
INFO   : no /tmp/fcpconfig; not configuring zvcp

And that's it.  nothine else.

Alt console 4 doesn't have any errors.  The last stuff there is about
device-mapper: multipath stuff being loaded and then an audit statement that
looks like selinux info.

Version-Release number of selected component (if applicable): FC6 DVD

How reproducible: happens if I boot graphical, if I boot text install, if I boot
rescue mode.  Kernel seems to be started just fine though - I can trigger a
reboot via ctrl-alt-del and it unmounts and then reboots.  So the system's not
hung.  And the curson on the X session does move just fine.

Steps to Reproduce:
1. boot off install DVD
2. decline (or accept) media check
Actual results:  started X server, but no visible window manager

Expected results: initial install screen

Additional info:

System is an HP xw8200 with dual Intel Xeon 3.20 GHz CPUs running hyperthreaded.
 System has 2 Gig of RAM, Various system info file attached.
Comment 1 Adam Benjamin 2007-03-22 12:04:21 EDT
Created attachment 150670 [details]
Some output to describe what's attached to this system
Comment 2 Matěj Cepl 2007-03-26 12:17:34 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Adam Benjamin 2007-03-26 22:55:35 EDT
Created attachment 150992 [details]
my working xorg.conf file (using the vendor nvidia driver)
Comment 4 Adam Benjamin 2007-03-26 22:56:15 EDT
Created attachment 150993 [details]
the log file from my normal working config (using the vendor nvidia driver)
Comment 5 Adam Benjamin 2007-03-26 22:56:57 EDT
Created attachment 150994 [details]
a working xorg file allowing autodetection and configuration
Comment 6 Adam Benjamin 2007-03-26 22:57:37 EDT
Created attachment 150995 [details]
working autoconfigured xorg.conf's log file
Comment 7 Adam Benjamin 2007-03-26 23:00:07 EDT
so as you can see, my normal "working" conf file is using the vendor provided
nvidia driver.  That's because the dual monitor config doesn't work properly
without it.  (I verified that I can't make it work using the configuration tool
in dual-head mode.)

That said, if I let the configuration tool do what it wants (but don't tell it
to run dual-headed) it does work.  I get a working X session with proper login

The attached config files and output were, of course, from my working install of
FC5 and not from the FC6 I would like to upgrade to.  (In case that wasn't obvious.)

Thanks for your help,

Comment 8 Matěj Cepl 2007-03-27 03:30:34 EDT
I am sorry, I have two bad news for you. First, we really cannot support nVidia
binary-only drivers -- I mean it literally, we are not capable of supporting
uncipherable binary blob, because we don't know what it is doing. There is no
bad will in this (or anti-competitve practices), we just cannot do it. Second,
yes, you are correct, nv open source driver doesn't support dual-head
configuration. Which makes it unfortunately pretty bad dead-end street -- we
cannot support nVidia drivers, and you are not able to reproduce this bug with
nv driver. I am really sorry.

You can try to find a support on the NVNews Nvidia Linux driver forum at:


Once you have reported this issue in the Nvidia web forums,
others who may have experienced the particular problem may
be able to assist.  If there is a real bug occuring, Nvidia
will be able to determine this, and will likely resolve the
issue in a future driver update for the operating system
releases that they officially support.

While Red Hat does not support the proprietary nvidia driver,
users requiring technical support may also find the various
X.Org, XFree86, and Red Hat mailing lists helpful in finding

X.Org mailing lists:

XFree86 mailing lists:

Red Hat mailing lists:

Setting status to "CANTFIX" (unsupported).
Comment 9 Adam Benjamin 2007-03-27 06:59:08 EDT
WAIT A SECOND!  I didn't ask anyone to make things work dual headed, or to work
with nvidia's proprietary drivers.  And better yet, I just finished uploading
proof that the nv driver will allow me to work single-headed just fine.  What I
WANT is to be able to upgrade to FC6 from a perfectly working FC5.  (And by
perfectly working, I mean that I can if need be switch back to the "nv" driver
to do the upgrade.)

Your install procedure fails miserably... and it's not the X server.  (I said
that from the outset!)  The xserver starts and then nothing happens.  I've got a
perfectly working cursor (albeit low resolution - which is fine) but the install
stops right there.  I want to upgrade.  Once that's done, *I* will worry about
resuming my dual-head configuration.  I just want to upgrade!

HELP!  Please.


Comment 10 Matěj Cepl 2007-03-27 08:33:11 EDT
Sure, there is perfectly working upgrade path from FC5 to FC6, but it is
supported only for software which is part of Fedora.

That means, uninstall nVidia binary drivers, install with nv, and then you can
upgrade (preferably using installation CD/DVD with anaconda and upgrade option,
but some users reported that they were able to upgrade just using yum). We
really never promised that if you install unsupported third party product
(especially one which installs its own binary-only kernel and X drivers), then
everything will work for you, and even less we could promise that it will work
for you on future version(-s) of Fedora.

However, if the above-described way (uninstall nVidia, install nv, upgrade)
doesn't work for you, then we would be very happy to see your bug -- there is
always not enough well-reported and well-documented bugs for installation with
reporter who would be willing to help us to fix the problem.
Comment 11 Adam Benjamin 2007-03-27 09:34:52 EDT
I feel like people are completely misunderstanding my original submission.  I
mentioned my existing FC5 install because:
a) I would like to "upgrade" it
b) FC5 works on my hardware - with the stock NV driver (and that's fine for
upgrade purposes)
c) I can use the exiting install to obtain info for you.

The reason I'm feeling misundestood is because the problem is ocurring when
booting from the install CD.  Note that at this point my existing OS is
irrelevant.  I cannot boot into recovery mode, text install mode or graphical
install mode.  When booting into graphical mode, I DO have a completely
functional xserver session.  That is, I can see a black screen and I have an "X"
cursor - but there are no X applications running, nor any window manager.  Just
a blank (black) screen with a movable cursor.  To my understanding, that means
the X server is started just fine.

So, if you require I can uninstall the nvidia binary - but I don't see how that
will change any of what I've just described.  I'm quite comfortable dealing with
a failed X server *IF* that becomes a problem after the upgrade.  But I'm not
even getting a working installer... hence this bug report.

Please let me know if I can clarify further or provide any additional data.


Comment 12 Matěj Cepl 2007-03-28 09:48:56 EDT
(In reply to comment #11)
> I feel like people are completely misunderstanding my original submission.  I
> mentioned my existing FC5 install because:

> The reason I'm feeling misundestood is because the problem is ocurring when
> booting from the install CD.

You felt misunderstood, because you were misunderstood. I am sorry, but I didn't
get that you were talking about X server running under anaconda. I will get back
to you with some more info, after I will investigate that.

I am sorry again,

Comment 13 Adam Benjamin 2007-03-28 09:52:37 EDT
My apologies if my original post was unclear.  Thanks for re-opening the ticket
and I look forward to working through this one with you.  Please let me know how
I can assist further.


Comment 14 Matěj Cepl 2007-03-29 12:52:14 EDT
Sorry, it took me some time, but now I know -- could I ask for attaching
/var/log/anaconda.* files as separate uncompressed attachments to this bug as
well, please? It would be very helpful.
Comment 15 Matěj Cepl 2007-03-30 05:17:34 EDT
Specifically (please, keep all communication in bugzilla, it makes our life much
easier; the warning in each email is there for a reason), these
/var/log/anaconda* files should be present after *each* installation -- so if
you finished your installation in text mode (which would be understandatable
;-)), failed /var/log/anaconda.xlog should be there as well.
Comment 16 Adam Benjamin 2007-04-08 20:27:59 EDT
Sorry for the delayed response.  If you mean my attempt at installing FC6, I
have been unable to complete the install in either text or in graphical mode. 
As mentioned, I can't even boot the FC6 DVD into recovery mode.  Both text and
graphical install modes simply hang.  Hence there are no available /var/log
files during the install, and the only /var/log/anaconda files I have on my
system are from April of 2006 - presumably from when I upgraded to FC5.

Please let me know how I can assist further.
Comment 17 Adam Jackson 2007-04-11 10:54:22 EDT
If anaconda is hanging, that sounds like an anaconda bug...
Comment 18 S Edwards 2007-04-21 06:55:46 EDT
Duplicate problem on Dell Precision Workstation 670. If you require any further
information from me please let me know.
Comment 19 Adam Benjamin 2007-05-02 14:03:20 EDT
Haven't had any additional requests for information to solve the problem.  Do
you have enough details and the problem is taking time, or has this ticket been
neglected?  I'm worried that FC7 is out soon and I will lose support for FC5...
and since I can't update to FC6 I'll have to risk upgrading to FC7 directly (and
in a hurry.  :( )

Help?  Thanks...
Comment 20 Adam Benjamin 2007-05-15 14:33:10 EDT
So, other than the initial(mis)diagnosis I've had no requests for additional
information, no status update, no suggestions about how to work-around the
problem.  I'm concerned about the stability issues of leapfrog upgrading from
FC5 to FC7, and FC6 is not yet an option.  I'm trying to be a loyal RedHat fan
but it does seem difficult at this stage.

Adam Benjamin
RHCE #804006422021375
Comment 21 Jeremy Katz 2007-05-17 10:51:44 EDT
Does it help if you boot with 'linux nodmraid'?
Comment 22 Adam Benjamin 2007-05-24 21:48:56 EDT
Why yes, it does.  Interesting.  Is that disabling the software raid I have
running?  If so, will it safely recover once I've booted into the upgraded
system?  ie. is it safe to do, or do I have to somehow break my mirror *before*
doing the upgrade and re-establish it after?

Thanks for your help.

Comment 23 Jeremy Katz 2007-05-24 22:11:07 EDT
dmraid isn't software RAID, it's hardware "fakeraid" bits.  Your software RAID
should still be brought up and working.
Comment 24 Adam Benjamin 2007-05-24 22:13:42 EDT
Excellent.  I'll try an upgrade in the next little while.  Is there any
interesting testing people would want to try before I do that?
Comment 25 Bug Zapper 2008-04-04 02:37:57 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 26 Joel Andres Granados 2008-04-24 09:59:58 EDT
There is a bug where the dmraid stuff just blocks.  This bug has not been solved
yet and we are still working to fix it.   However there is a work around.  If
you use nodmraid, the installer will ignore/skip the dmraid stuff allowing the
install to finish.  This is a workaround and does not fix the problem.
There is a long list of bugs that are filed against this problem.  This bug is
one of them.  We have decided to close all the related nodmraid bugs and leave
just one open that will represent all of the others.  So this bug will be duped
for this reason.

*** This bug has been marked as a duplicate of 409931 ***

Note You need to log in before you can comment on or make changes to this bug.